db_version
Prev | Chapter 5. The DB_ENV Handle | Next

## db_version

    #include <db.h>

    char *
    db_version(int *major, int *minor, int *patch);

The `db_version()` method returns a pointer to a string, suitable for display, containing Berkeley DB version information. For a method that returns this information as well as Oracle release numbers, see db_full_version.

### Parameters

#### major

If major is non-NULL, the major version of the Berkeley DB release is copied to the memory to which it refers.

#### minor

If minor is non-NULL, the minor version of the Berkeley DB release is copied to the memory to which it refers.

#### patch

If patch is non-NULL, the patch version of the Berkeley DB release is copied to the memory to which it refers.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
db_strerror | Home | Chapter 6. The DB_LOCK Handle